<div class="row">
  <div class="col-sm">
    <div class="card card-stats">
      <div class="card-body">
        <div class="row">
          <div class="col-5 col-md-4">
            <div class="icon-big text-center icon-warning">
              <i class="fas fa-building text-warning"></i>
            </div>
          </div>
          <div class="col-7 col-md-8">
            <div class="numbers">
              <p class="card-category">Companies</p>
              <p class="card-title"> {{adminDashboard.totalCompanies}}
              </p>
            </div>
          </div>
        </div>
      </div>
      <div class="card-footer ">
        <hr>
        <div class="stats">
          <i class="fas fa fa-sync"></i> Update Now
        </div>
      </div>
    </div>
  </div>
  <div class="col-sm">
    <div class="card card-stats">
      <div class="card-body">
        <div class="row">
          <div class="col-5 col-md-4">
            <div class="icon-big text-center icon-success">
              <i class="fas fa-users-cog text-success"></i>
            </div>
          </div>
          <div class="col-7 col-md-8">
            <div class="numbers">
              <p class="card-category">Workers</p>
              <p class="card-title"> {{adminDashboard.totalWorkers}}
              </p>
            </div>
          </div>
        </div>
      </div>
      <div class="card-footer ">
        <hr>
        <div class="stats">
          <i class="fas fa fa-sync"></i> Update Now
        </div>
      </div>
    </div>
  </div>
  <div class="col-sm">
    <div class="card card-stats">
      <div class="card-body">
        <div class="row">
          <div class="col-5 col-md-4">
            <div class="icon-big text-center icon-info">
              <i class="fas fa-clipboard-check text-info"></i>
            </div>
          </div>
          <div class="col-7 col-md-8">
            <div class="numbers">
              <p class="card-category">Jobs</p>
              <p class="card-title"> {{adminDashboard.totalJobs}}
              </p>
            </div>
          </div>
        </div>
      </div>
      <div class="card-footer ">
        <hr>
        <div class="stats">
          <i class="fas fa fa-sync"></i> Update Now
        </div>
      </div>
    </div>
  </div>
  <div class="col-sm">
    <div class="card card-stats">
      <div class="card-body">
        <div class="row">
          <div class="col-5 col-md-4">
            <div class="icon-big text-center icon-primary">
              <i class="fas fa-user-circle text-primary"></i>
            </div>
          </div>
          <div class="col-7 col-md-8">
            <div class="numbers">
              <p class="card-category">Free Accounts</p>
              <p class="card-title"> {{adminDashboard.totalFreeAccounts}}
              </p>
            </div>
          </div>
        </div>
      </div>
      <div class="card-footer ">
        <hr>
        <div class="stats">
          <i class="fas fa fa-sync"></i> Update Now
        </div>
      </div>
    </div>
  </div>
</div>
<div class="row">
  <div class="col-sm col-md-6">
    <div class="row">
      <div class="col-sm">
        <div class="card ">
          <div class="card-header">
            <h5 class="card-title">Daily Jobs</h5>
          </div>
          <div class="card-body">
            <ngx-charts-bar-vertical
              [results]="barData"
              [xAxisLabel]="'Days'"
              [yAxisLabel]="'Jobs Completed'"
              [showDataLabel]="true"
              [showGridLines]="true"
              [xAxis]="true"
              [yAxis]="true"
              [showXAxisLabel]="true"
              [showYAxisLabel]="true"
            >
            </ngx-charts-bar-vertical>
          </div>
        </div>
      </div>
    </div>
    <div class="row">
      <div class="col-sm">
        <div class="card">
          <div class="card-header">
            <h5 class="card-title">Account Statistics</h5>
          </div>
          <div class="card-body" style="height: 400px">
            <ngx-charts-pie-chart
              [results]="data"
              [labels]="true"
              [legendPosition]="'left'"
            >
            </ngx-charts-pie-chart>
          </div>
        </div>
      </div>
    </div>
  </div>
  <div class="col-sm col-md-6">
    <div class="row" style="height: 100%">
      <div class="col-sm" style="display: flex">
        <div class="card flex-take-space">
          <div class="card-header">
            <h5 class="card-title">Top Performing Companies in Last 24 hr</h5>
          </div>
          <div class="card-body overflow-scroll">
            <table id="dataTable" class="table table-striped table-bordered">
              <thead>
              <tr>
                <th [ngbTooltip]="head.toolTip" [class.cursor]="head.sortable" *ngFor="let head of headers">{{ head.title }}
                  <i *ngIf="head.sortable" [className]="head.sortIcon"></i>
                </th>
              </tr>
              </thead>
              <tbody>
              <tr *ngIf="!adminDashboard.companies || adminDashboard.companies.length === 0">
                <td [colSpan]="headers.length" class="text-center">No Data Found.</td>
              </tr>
              <tr *ngFor="let row of adminDashboard.companies">
                <td>{{row.name}}</td>
                <td>{{row.email}}</td>
                <td>{{row.phoneNumber}}</td>
                <td>{{row.jobsCompleted}}</td>
              </tr>
              </tbody>
            </table>

          </div>
        </div>
      </div>
    </div>
  </div>
</div>
